Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228469 - Review Request: hunspell-de - German hunspell dictionaries
Summary: Review Request: hunspell-de - German hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 09:27 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 10:02:52 UTC
notting: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 09:27:39 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-de.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-de-0.20051213-1.src.rpm
Description: German hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 10:26:08 UTC
- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
09beb35f8fd3753125535a920a1a001ce5b28fa8  de_DE-20051213.zip
de75be0efe486a69a24f13ec33be5bb0357dc599  de_CH-20051213.zip

- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site says
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint outputsilent
- code, not content
- no need for -docs as the only doc is just a 5K text file with the GPL license
in Welsh and English
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

PS: Maybe you could also include the de_AT dictionary files ? They seem to be
based roughly on the same word lists

Comment 2 manuel wolfshant 2007-02-13 10:29:38 UTC
Of course there is no Welsh, but German involved. Sorry.

Comment 3 Caolan McNamara 2007-02-14 10:02:52 UTC
 27541 (hunspell-de): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.